module.exports = {
  "parser": "espree",
  "env": {
      "es6": true,
      "node": true,
      "browser": false
  },
//   "extends": "./node_modules/@backend/eslint-config-softartel-base/.eslintrc.json",
  "parserOptions": {
      "ecmaVersion": 2018,
      "sourceType": "module"
  },
  "rules": {
      "no-console" : "off",
      "no-continue": "off",
      "no-await-in-loop": "off",
      "no-return-await": "off",
      "no-underscore-dangle": "off",
      "guard-for-in": "off",
      "no-restricted-syntax": "off",
      "no-param-reassign": "off",

      "global-require": "off",
      "no-restricted-properties": "off",
      "default-case": "off",
      "no-nested-ternary": "off",
      "no-prototype-builtins": "off",
      "no-use-before-define": "off",

      "import/no-dynamic-require": "off",
      "class-methods-use-this": "off",

      "arrow-parens": "off",
      "no-plusplus": "off",

      "eol-last": ["error", "unix"],
      "padding-line-between-statements": [
          "error",
          { "blankLine": "always", "prev": "*", "next": "return" },
          { "blankLine": "always", "prev": "*", "next": "block-like" },
          { "blankLine": "always", "prev": "block-like", "next": "*" },
          { "blankLine": "always", "prev": "*", "next": "cjs-export" },
          { "blankLine": "always", "prev": "cjs-export", "next": "*" },
          { "blankLine": "always", "prev": "*", "next": "class" },
          { "blankLine": "always", "prev": "class", "next": "*" }
      ],

      "no-unused-expressions": "off"
  }
};
